.circle-border {
  width: 300px;
  height: 300px;
  border-radius: 100%;
  padding: 30px;
  background-color: black; }

.circle {
  width: 35px;
  height: 35px;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  text-align: center;
  background: none;
  border: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border-radius: 100%;
  font-size: inherit;
  font-weight: 700;
  position: relative;
  vertical-align: middle; }
  .circle::before, .circle::after {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 100%; }
  .circle:hover {
    color: white; }
  .circle::before, .circle::after {
    top: 0;
    left: 0; }
  .circle::before {
    border: 2px solid transparent; }
  .circle:hover::before {
    border-top-color: white;
    border-right-color: white;
    border-bottom-color: white;
    -webkit-transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
    -o-transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
    transition: border-top-color 0.15s linear, border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s; }
  .circle::after {
    border: 0 solid transparent; }
  .circle:hover::after {
    border-top: 2px solid white;
    border-left-width: 2px;
    border-right-width: 2px;
    -webkit-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    transform: rotate(270deg);
    -webkit-transition: border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s;
    transition: border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s;
    -o-transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s;
    transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s;
    transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s, -webkit-transform 0.4s linear 0s; }
